what is th best configuration?

Discussion in 'Installation/Configuration' started by corto, Feb 25, 2019.

  1. corto

    corto New Member

    Hello, i just want to install ispconfig on a server.
    the question is:
    what os to choose?
    what to choose, apache, nginx...?
    i want to have the most powerfull possible to install and test lots of scripts: phpbb, smf, wordpress, joomla....
    thanks
     
  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    This is a quote from ISPConfig Documentation web page https://www.ispconfig.org/documentation/
    Between Apache and nginx, choose the one you are more familiar with, in other words the one you know how to use. If both are strange beasts, I would recommend Apache since it has more documentation available and is more widely used, so easier to get help.
    All of those should work just fine on websites you create in ISPConfig.
    There is also manual, see the ISPConfig documentation page.
     
    corto and till like this.
  3. corto

    corto New Member

    thank's for the documentation!
    i just want to know what users think about that :)
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Use Debian or Ubuntu 18.04 as OS and nginx is great, a very fast web server, but you must know how to work with it as almost every cms needs a custom nginx config. If you don't know how to use nginx or don't have the time and patience to learn it, then better use apache.
     
    corto likes this.
  5. corto

    corto New Member

    actually i have ubuntu 18.04 and apache.
    but i tried many times to install phpbb and smf but i have a error trying it.
    so i can't install...
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Both software applications work fine in an ispconfig website. It might have been better if you would have posted the actual problem and error message in the app that you tried to install as ISPConfig on Ubuntu is not the source of the problem.
     
  7. corto

    corto New Member

    your right, i think taht it's a hoster problem i think
     
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    As a sidenote, you have seen on the SMF page that PHP 7.2 is not supported "PHP 7.2 is not supported by SMF at this time." and Ubuntu 18.04 uses PHP 7.2. You will have to install an older PHP version as additional PHP on Ubuntu if you want to use software which does not support cirrent PHP versions.
     
  9. corto

    corto New Member

    yes i've seen that, i'm going to try installation of phpbb tonight.
    will tell if it works this time :)
    thanks for your help
     
  10. till

    till Super Moderator Staff Member ISPConfig Developer

    And if it does not work: write down the steps that you have taken and note the exact error that you got and make a new thread for it so we can try to help you to solve the problem.
     
    corto likes this.
  11. corto

    corto New Member

    it's ok, it was a phpbb 3.2 bug.
    thanks for the help
     
  12. ahrasis

    ahrasis Well-Known Member

    If you wish to test more forum software, I would suggest ElkArte - a derivative of SMF that works on php7.2 and above.
     
  13. corto

    corto New Member

    thank you very much, i never heard about this one
     

Share This Page